Skip to main content
Version: 1.6.0

HMAC SHA256 - Sign a message using a key share

POST 

/hmac-sha256/sign

notice

This API endpoint part of the Exchange API Vault. Please contact the Sodot team for access.

authorization

This API endpoint requires an API Key with at least one of the following Roles: CryptoUser | KeysManager

Signs a message using HMAC-SHA256 with a specific key_id. The message, provided in the request, is signed using a secret share that was previously imported via the "/import-secret-share" endpoint.

The input message should be an array of bytes encoded as a hex string. The endpoint returns the signature as a bytes array encoded as a hex string.

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Body

required

    oneOf

    key_namestringrequired
    extra_datastring

    Hex encoded extra data to be passed to the Rule Server. This data should be used to pass any additional information / external state to the Rule Server that is required to properly validate the signing request.

    messagestringrequired

    relay_address

    object

    An Optional relay address to use only for this specific MPC operation. If not provided, the default relay address will be used. The relay address should be in the format of host:port.

    anyOf

    string

    room_uuidstringrequired

Responses

Schema

    signaturestringrequired